Loading...
Searching...
No Matches
BALL::RDFIntegrator Class Reference
Molecular Modeling » Molecular Structure » Radial Distribution Functions

`#include <BALL/STRUCTURE/RDFIntegrator.h>`

Inheritance diagram for BALL::RDFIntegrator:

## Public Member Functions

Constructors and destructors
| RDFIntegrator ()
| RDFIntegrator (const RDFIntegrator &integrator)
| RDFIntegrator (const RadialDistributionFunction &rdf)
virtual | ~RDFIntegrator ()

## Assignment

RadialDistributionFunction | rdf_
bool | valid_
const RDFIntegrator & | operator= (const RDFIntegrator &integrator)
virtual void | clear ()
bool | operator== (const RDFIntegrator &integrator) const
| Predicates.
virtual bool | isValid () const
void | setRDF (const RadialDistributionFunction &rdf)
| Accessors.
const RadialDistributionFunction & | getRDF () const
virtual double | operator() (double x) const

## Detailed Description

Integrator class for radial distribution functions. This class provides the integration functionality needed for the computation of interaction energies.

Definition at line 19 of file RDFIntegrator.h.

## Constructor & Destructor Documentation

## RDFIntegrator() [1/3]

BALL::RDFIntegrator::RDFIntegrator | ( |  | ) |

Default constructor

## RDFIntegrator() [2/3]

BALL::RDFIntegrator::RDFIntegrator | ( | const RDFIntegrator & | integrator | ) |

Copy constructor.

Parameters

  integrator | the integrator to copy from

## RDFIntegrator() [3/3]

BALL::RDFIntegrator::RDFIntegrator | ( | const RadialDistributionFunction & | rdf | ) |

Detailed constructor.

Parameters

  rdf | the radial distribution function to initialize this with

## ~RDFIntegrator()

virtual BALL::RDFIntegrator::~RDFIntegrator | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::RDFIntegrator::clear | ( |  | ) |

virtual

Clear function.

Reimplemented in BALL::Pair6_12RDFIntegrator, and BALL::PairExpRDFIntegrator.

## getRDF()

const RadialDistributionFunction & BALL::RDFIntegrator::getRDF | ( |  | ) | const

Get the radial distribution function of this instance.

Returns
  a const reference to the radial distribution function

## isValid()

virtual bool BALL::RDFIntegrator::isValid | ( |  | ) | const

virtual

Validity test. Return the valid flag.

Returns
  true, if this instance is valid.

## operator()()

virtual double BALL::RDFIntegrator::operator() | ( | double | x | ) | const

virtual

Compute the value of the integral at a given x. This function should not be called, because it is merely a sort of prototype defining interface for derived classes. It always returns 0.0.

Parameters

  x | the lower limit of the integration

Returns
  always 0.0

Reimplemented in BALL::Pair6_12RDFIntegrator, and BALL::PairExpRDFIntegrator.

## operator=()

const RDFIntegrator & BALL::RDFIntegrator::operator= | ( | const RDFIntegrator & | integrator | ) |

Assignment operator.

Parameters

  integrator | the integrator to assign from

Returns
  a constant reference to this

## operator==()

bool BALL::RDFIntegrator::operator== | ( | const RDFIntegrator & | integrator | ) | const

Predicates.

Equality operator

Parameters

  integrator | the integrator which we want to compare to {this}

Returns
  true, if the instances are equal, false ow.

## setRDF()

void BALL::RDFIntegrator::setRDF | ( | const RadialDistributionFunction & | rdf | ) |

Accessors.

Set the radial distribution function of this instance.

Parameters

  rdf | a radial distribution function

See also
  RadialDistributionFunction

## Member Data Documentation

## rdf_

RadialDistributionFunction BALL::RDFIntegrator::rdf_

protected

Definition at line 116 of file RDFIntegrator.h.

## valid_

bool BALL::RDFIntegrator::valid_

protected

Definition at line 123 of file RDFIntegrator.h.